Loading...
Searching...
No Matches
Catch::Detail::NonCopyable Class Reference

Deriving classes become noncopyable and nonmovable. More...

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Detail::NonCopyable:
[legend]

## Protected Member Functions

| NonCopyable () noexcept=default

## Private Member Functions

| NonCopyable (NonCopyable const &)=delete
| NonCopyable (NonCopyable &&)=delete
NonCopyable & | operator= (NonCopyable const &)=delete
NonCopyable & | operator= (NonCopyable &&)=delete

## Detailed Description

Deriving classes become noncopyable and nonmovable.

## Constructor & Destructor Documentation

## NonCopyable() [1/3]

Catch::Detail::NonCopyable::NonCopyable | ( | NonCopyable const & |  | ) |

privatedelete

Here is the call graph for this function:
Here is the caller graph for this function:

## NonCopyable() [2/3]

Catch::Detail::NonCopyable::NonCopyable | ( | NonCopyable && |  | ) |

privatedelete

Here is the call graph for this function:

## NonCopyable() [3/3]

Catch::Detail::NonCopyable::NonCopyable | ( |  | ) |

protecteddefaultnoexcept

## Member Function Documentation

## operator=() [1/2]

NonCopyable & Catch::Detail::NonCopyable::operator= | ( | NonCopyable && |  | ) |

privatedelete

Here is the call graph for this function:

## operator=() [2/2]

NonCopyable & Catch::Detail::NonCopyable::operator= | ( | NonCopyable const & |  | ) |

privatedelete

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp